Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

DEV: Drop legacy OpenID 2.0 support #8894

Merged
merged 1 commit into from Feb 7, 2020

Conversation

@davidtaylorhq
Copy link
Member

davidtaylorhq commented Feb 7, 2020

This is not used in core or official plugins, and has been printing a deprecation notice since v2.3.0beta4. All OpenID 2.0 code and dependencies have been dropped. The user_open_ids table remains for now, in case anyone has missed the deprecation notice, and needs to migrate their data.

Context at https://meta.discourse.org/t/-/113249

Unfortunately the omniauth-openid gem is a dependency of omniauth-steam. That has been addressed in discourse/discourse-steam-login@d426888

This is not used in core or official plugins, and has been printing a deprecation notice since v2.3.0beta4. All OpenID 2.0 code and dependencies have been dropped. The user_open_ids table remains for now, in case anyone has missed the deprecation notice, and needs to migrate their data.

Context at https://meta.discourse.org/t/-/113249
@discoursebot

This comment has been minimized.

Copy link

discoursebot commented Feb 7, 2020

You've signed the CLA, davidtaylorhq. Thank you! This pull request is ready for review.

Copy link
Member

eviltrout left a comment

Always nice to delete code!

@davidtaylorhq davidtaylorhq merged commit 5919618 into discourse:master Feb 7, 2020
6 checks passed
6 checks passed
PLUGINS-BACKEND
Details
CORE-BACKEND
Details
PLUGINS-FRONTEND
Details
CORE-FRONTEND
Details
PLUGINS-LINT
Details
CORE-LINT
Details
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Linked issues

Successfully merging this pull request may close these issues.

None yet

3 participants
You can’t perform that action at this time.